OceanWave Struct Reference

## Data Fields

PinkNoise | wave_left
PinkNoise | wave_right
BiQuad | wave_bq_coeffs
float | wave_bq_left [2]
float | wave_bq_right [2]
EnvState | wave_envelope_state
float | wave_envelope_level
float | wave_envelope_max_level
float | wave_pan_left
float | wave_pan_right
float | wave_attack_incr
float | wave_decay_incr

## Detailed Description

Definition at line 100 of file paex_ocean_shore.c.

## Field Documentation

## wave_attack_incr

float OceanWave::wave_attack_incr

Definition at line 114 of file paex_ocean_shore.c.

## wave_bq_coeffs

BiQuad OceanWave::wave_bq_coeffs

Definition at line 105 of file paex_ocean_shore.c.

## wave_bq_left

float OceanWave::wave_bq_left[2]

Definition at line 106 of file paex_ocean_shore.c.

## wave_bq_right

float OceanWave::wave_bq_right[2]

Definition at line 107 of file paex_ocean_shore.c.

## wave_decay_incr

float OceanWave::wave_decay_incr

Definition at line 115 of file paex_ocean_shore.c.

## wave_envelope_level

float OceanWave::wave_envelope_level

Definition at line 110 of file paex_ocean_shore.c.

## wave_envelope_max_level

float OceanWave::wave_envelope_max_level

Definition at line 111 of file paex_ocean_shore.c.

## wave_envelope_state

EnvState OceanWave::wave_envelope_state

Definition at line 109 of file paex_ocean_shore.c.

## wave_left

PinkNoise OceanWave::wave_left

Definition at line 102 of file paex_ocean_shore.c.

## wave_pan_left

float OceanWave::wave_pan_left

Definition at line 112 of file paex_ocean_shore.c.

## wave_pan_right

float OceanWave::wave_pan_right

Definition at line 113 of file paex_ocean_shore.c.

## wave_right

PinkNoise OceanWave::wave_right

Definition at line 103 of file paex_ocean_shore.c.

The documentation for this struct was generated from the following file:

- paex_ocean_shore.c